Subject: bug#10159: bug#10263: 24.0.92; emacs crash with auto-complete plugin [SEC=UNCLASSIFIED]

From: Alex Murray <[email-masked]>
Date: Wed, 05 Sep 2012 11:01:12 +0930

UNCLASSIFIED

Okay I seem to be able to reproduce this fairly easily with the
following init.el settings and the recipe below:

;; install auto-complete from melpa since is pretty much the 
;; latest development version
(require 'package)
(add-to-list 'package-archives
             '("melpa" . "http://melpa.milkbox.net/packages/") t)
(package-initialize)
(package-install 'auto-complete)

;; auto-complete
(require 'auto-complete-config)
(ac-config-default)
(setq ac-auto-start 1) ; autostart with a single character       
(setq ac-auto-show-menu ac-delay)) ; show menu autoomatically
;; quick help has to be after menu so again set to 10ms more   
(setq ac-quick-help-delay (+ ac-auto-show-menu 0.01))

---------------------------------------------------

With the above init.el launch emacs and then switch to the scratch
buffer. Now type anything to get auto-complete to show up completions -
say just a single letter such as d - and then hit space very quickly
after that - it may take a bunch of tries to get it to crash but
eventually it seems that if you hit space just after auto-complete has
popped up the menu (and by just after I am talking fractions of a
second) emacs can crash. I think hitting space causes auto-complete to
hide the popup menu and then in redrawing the display emacs now
crashes...

On Mon, 2011-12-12 at 09:25 +1030, Alex Murray wrote:
> Sadly I have been unable to reproduce this bug [#10159] since 
> recompiling Emacs with no optimisations - however, I will certainly
try 
> to keep reproducing it - I am not so sure the fix in
> revision 106658 will fix this bug [#10159] since the crash is not at
the 
> same location, but I will also try and see if I can reproduce the
crash 
> with the latest trunk too.
> 
> On Sun 11 Dec 2011 21:01:24 CST, Eli Zaretskii wrote:
> >
> >>
> >> From:<[email-masked]>
> >> Date: Sun, 11 Dec 2011 18:01:38 +0900
> >>
> >> Eli Zaretskii<[email-masked]> writes:
> >>
> >>>
> >>>
> >>> It could be. But then it could be not: the crash in 10159 is in a
> >>> different place and is not reproducible. We can only deduce it's a
> >>> duplicate if the OP will report that it no longer crashes for
them.
> >>>
> >>
> >>
> >> @Eli
> >> I am the reporter of this bug. if you are referring me as OP here,
> >> I already sent an email confirming that this bug is fixed. But some
how
> >> that mail didn't show up in the list.
> >
> >
> > Your mail did show up, but I was not talking about this bug
(#10263),
> > I was talking about bug #10159, which AFAIK was filed by someone
> > else. Glenn was wondering whether 10159 was the same bug, and is
> > therefore also fixed. We'd need confirmation from Alex Murray about
> > that.

IMPORTANT: This email remains the property of the Department of Defence and is subject to the jurisdiction of section 70 of the CRIMES ACT 1914.  If you have received this email in error, you are requested to contact the sender and delete the email.